Bug 624514 - New user password is displayed in plain text in pulp.log
New user password is displayed in plain text in pulp.log
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 13:58 EDT by Jay Dobies
Modified: 2011-07-15 15:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 12:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2010-08-16 13:58:56 EDT
2010-08-16 13:51:36,661  password received is foo
2010-08-16 13:51:36,661  login jdob
2010-08-16 13:51:36,661  name 
2010-08-16 13:51:36,671  Traceback (most recent call last):
Comment 1 Pradeep Kilambi 2010-08-17 11:05:58 EDT
This bug needs more information from QA point of view.
Comment 2 Jay Dobies 2010-08-17 12:34:18 EDT
To reproduce:

- Use pulp-admin to create a new user.
- View /var/log/pulp/pulp.log on the pulp server to see the log output I originally posted. We print out the password for the user in the logs.
Comment 3 Jay Dobies 2010-08-26 10:13:40 EDT
commit	f3cf8f20101c7779e828a15706becf017acc6bc0
tree	7a8079d284a8b18c45c2d5f03df1dd776637d497


Removed plain text echo of the user's password


src/pulp/server/api/user.py
Comment 4 Preethi Thomas 2010-09-10 11:37:56 EDT
This blocked by

https://bugzilla.redhat.com/show_bug.cgi?id=623969
Comment 5 Preethi Thomas 2010-09-28 09:04:48 EDT
verified

There is no record of user create in pulp.log
Comment 6 Preethi Thomas 2010-10-20 12:11:16 EDT
Closed after review.

Note You need to log in before you can comment on or make changes to this bug.